Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.net
Class AbstractClientRequest

    java.lang.Object
      |
      +--org.omg.CORBA.LocalObject
            |
            +--org.openorb.net.AbstractClientRequest

All Implemented Interfaces:
  ClientRequest, ClientRequestInfo, ClientRequestInfoOperations, IDLEntity, Object, RequestInfo, RequestInfoOperations, java.io.Serializable

Direct Known Subclasses:
  LocalClientRequest

public abstract class AbstractClientRequest
extends LocalObject
implements ClientRequest

Base class which implements some of the ClientRequest functionality.

Version:
  $Revision: 1.11 $ $Date: 2002/09/15 21:48:46 $
Author:
  Chris Wood
See Also:
  Serialized Form

Fields inherited from interface org.openorb.net.ClientRequest
`OBJECT_HERE, STATE_COMPLETE, STATE_CREATED, STATE_MARSHAL, STATE_UNMARSHAL, STATE_WAITING, UNKNOWN_OBJECT`

Constructor Summary
`AbstractClientRequest(int request_id, Object target, Address address, java.lang.Object transportAssociation, ClientChannel channel)` Creates new AbstractClientRequest

Method Summary
`void` | `add_request_service_context(ServiceContext service_context, boolean replace)` Operation add_request_service_context
`Address` | `address()` Client address
`Parameter[]` | `arguments()` Read accessor for arguments attribute
`ClientChannel` | `channel()` Client channel
`boolean` | `checkReplyTransportAssoc(java.lang.Object tpAssc)` Check the transport association, take appropriate action if association is incorrect.
`java.lang.String[]` | `contexts()` Read accessor for contexts attribute
`TaggedProfile` | `effective_profile()` Profile as used in this request.
`IOR` | `effective_target_ior()` Get the effective target IOR.
`Object` | `effective_target()` Return the effective_target object.
`boolean` | `equals(java.lang.Object obj)` Equality depends on request IDs
`TypeCode[]` | `exceptions()` Read accessor for exceptions attribute
`TaggedComponent` | `get_effective_component(int id)` Operation get_effective_component
`TaggedComponent[]` | `get_effective_components(int id)` Operation get_effective_components
`Policy` | `get_request_policy(int type)` Operation get_request_policy
`ServiceContext` | `get_request_service_context(int id)` Operation get_request_service_context
`ServiceContext[]` | `get_request_service_contexts()` Get all request service contexts that have been set.
`Any` | `get_slot(int id)` Operation get_slot
`java.lang.Object` | `get_transport_association()` Get the transport association.
`java.lang.String[]` | `operation_context()` Read accessor for operation_context attribute
`ORB` | `orb()` ORB associated with the target.
`int` | `request_id()` Request ID.
`Any` | `result()` Read accessor for result attribute
`CompletionStatus` | `state_completion_status()` This utility function returns the correct completion status to use in a system exception depending on the current state.
`IOR` | `target_ior()` Get the target IOR.
`Object` | `target()` Object the request was created with.

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.net.ClientRequest
`begin_marshal, cancel, forward_reference_ior, is_locate, is_poll, is_request, poll_response, receive_response, received_exception_id, received_system_exception, send_request, state, wait_for_response`

Methods inherited from interface org.omg.PortableInterceptor.ClientRequestInfoOperations
`received_exception`

Methods inherited from interface org.omg.PortableInterceptor.RequestInfoOperations
`forward_reference, get_reply_service_context, operation, reply_status, response_expected, sync_scope`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### AbstractClientRequest

    public AbstractClientRequest(int request_id,
                                 Object target,
                                 Address address,
                                 java.lang.Object transportAssociation,
                                 ClientChannel channel)

  Creates new AbstractClientRequest

Method Detail

### channel

    public ClientChannel channel()

  Client channel
  Specified by:
    `channel` in interface `ClientRequest`

### address

    public Address address()

  Client address
  Specified by:
    `address` in interface `ClientRequest`

### request_id

    public int request_id()

  Request ID.
  Specified by:
    `request_id` in interface `RequestInfoOperations`
  Following copied from interface: `org.omg.PortableInterceptor.RequestInfoOperations`
  Returns:
    the attribute value

### equals

    public boolean equals(java.lang.Object obj)

  Equality depends on request IDs
  Overrides:
    `equals` in class `java.lang.Object`

### target_ior

    public IOR target_ior()

  Get the target IOR. This ior is the marshalling ior of the object passed at creation time.
  Specified by:
    `target_ior` in interface `ClientRequest`

### target

    public Object target()

  Object the request was created with.
  Specified by:
    `target` in interface `ClientRequestInfoOperations`
  Following copied from interface: `org.omg.PortableInterceptor.ClientRequestInfoOperations`
  Returns:
    the attribute value

### orb

    public ORB orb()

  ORB associated with the target.
  Specified by:
    `orb` in interface `ClientRequest`

### effective_target_ior

    public IOR effective_target_ior()

  Get the effective target IOR. This gets the IOR from the address passed in creation. Calling this function instead of effective_target avoids constructing an enclosing delegate/object.
  Specified by:
    `effective_target_ior` in interface `ClientRequest`

### effective_target

    public Object effective_target()

  Return the effective_target object. This is the destination for this request.
  Specified by:
    `effective_target` in interface `ClientRequestInfoOperations`
  Following copied from interface: `org.omg.PortableInterceptor.ClientRequestInfoOperations`
  Returns:
    the attribute value

### get_transport_association

    public java.lang.Object get_transport_association()

  Get the transport association.
  Specified by:
    `get_transport_association` in interface `ClientRequest`

### checkReplyTransportAssoc

    public boolean checkReplyTransportAssoc(java.lang.Object tpAssc)

  Check the transport association, take appropriate action if association is incorrect. This will be called once for each reply and reply fragment.

### effective_profile

    public TaggedProfile effective_profile()

  Profile as used in this request.
  Specified by:
    `effective_profile` in interface `ClientRequestInfoOperations`
  Following copied from interface: `org.omg.PortableInterceptor.ClientRequestInfoOperations`
  Returns:
    the attribute value

### get_effective_component

    public TaggedComponent get_effective_component(int id)

  Description copied from interface: `ClientRequestInfoOperations`
  Operation get_effective_component
  Specified by:
    `get_effective_component` in interface `ClientRequestInfoOperations`

### get_effective_components

    public TaggedComponent[] get_effective_components(int id)

  Description copied from interface: `ClientRequestInfoOperations`
  Operation get_effective_components
  Specified by:
    `get_effective_components` in interface `ClientRequestInfoOperations`

### get_request_policy

    public Policy get_request_policy(int type)

  Description copied from interface: `ClientRequestInfoOperations`
  Operation get_request_policy
  Specified by:
    `get_request_policy` in interface `ClientRequestInfoOperations`

### arguments

    public Parameter[] arguments()

  Description copied from interface: `RequestInfoOperations`
  Read accessor for arguments attribute
  Specified by:
    `arguments` in interface `RequestInfoOperations`
  Following copied from interface: `org.omg.PortableInterceptor.RequestInfoOperations`
  Returns:
    the attribute value

### exceptions

    public TypeCode[] exceptions()

  Description copied from interface: `RequestInfoOperations`
  Read accessor for exceptions attribute
  Specified by:
    `exceptions` in interface `RequestInfoOperations`
  Following copied from interface: `org.omg.PortableInterceptor.RequestInfoOperations`
  Returns:
    the attribute value

### contexts

    public java.lang.String[] contexts()

  Description copied from interface: `RequestInfoOperations`
  Read accessor for contexts attribute
  Specified by:
    `contexts` in interface `RequestInfoOperations`
  Following copied from interface: `org.omg.PortableInterceptor.RequestInfoOperations`
  Returns:
    the attribute value

### operation_context

    public java.lang.String[] operation_context()

  Description copied from interface: `RequestInfoOperations`
  Read accessor for operation_context attribute
  Specified by:
    `operation_context` in interface `RequestInfoOperations`
  Following copied from interface: `org.omg.PortableInterceptor.RequestInfoOperations`
  Returns:
    the attribute value

### result

    public Any result()

  Description copied from interface: `RequestInfoOperations`
  Read accessor for result attribute
  Specified by:
    `result` in interface `RequestInfoOperations`
  Following copied from interface: `org.omg.PortableInterceptor.RequestInfoOperations`
  Returns:
    the attribute value

### get_slot

    public Any get_slot(int id)
                 throws InvalidSlot

  Description copied from interface: `RequestInfoOperations`
  Operation get_slot
  Specified by:
    `get_slot` in interface `RequestInfoOperations`

### add_request_service_context

    public void add_request_service_context(ServiceContext service_context,
                                            boolean replace)

  Description copied from interface: `ClientRequestInfoOperations`
  Operation add_request_service_context
  Specified by:
    `add_request_service_context` in interface `ClientRequestInfoOperations`

### get_request_service_context

    public ServiceContext get_request_service_context(int id)

  Description copied from interface: `RequestInfoOperations`
  Operation get_request_service_context
  Specified by:
    `get_request_service_context` in interface `RequestInfoOperations`

### get_request_service_contexts

    public ServiceContext[] get_request_service_contexts()

  Get all request service contexts that have been set. From MARSHAL onward this will be a constant list.
  Specified by:
    `get_request_service_contexts` in interface `ClientRequest`

### state_completion_status

    public CompletionStatus state_completion_status()

  This utility function returns the correct completion status to use in a system exception depending on the current state.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD